# $Revision: 1.4 $, $Date: 2010/07/08 08:37:41 $

%define		module rel

Summary:	A pure Python pyevent emulation module
Name:		python-%{module}
Version:	0.2.5
Release:	2
License:	MIT
Group:		Libraries/Python
Source0:	http://registeredeventlistener.googlecode.com/files/%{module}-%{version}.tar.gz
# Source0-md5:	dcac21c504b31fee1623aabf10faa556
URL:		http://brbx.com/orbited/index.html
BuildRequires:	libevent-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
Suggests:	orbited
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rel module is a drop-in replacement for pyevent that completely
emulates pyevent's interface, behavior and functionality on any system
with Python. It will use pyevent if it's available, and if it's not
rel will use the fastest method supported by the system.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-rel.spec,v $
Revision 1.4  2010/07/08 08:37:41  arekm
- release 2

Revision 1.3  2009/03/14 14:39:17  duddits
- up to 0.2.5

Revision 1.2  2008/10/11 12:06:49  patrys
- rel 2

Revision 1.1  2008-04-09 11:56:54  patrys
- initial PLD release

